[csw-devel] SF.net SVN: opencsw:[393] buildfarm/bin

dmichelsen at users.sourceforge.net dmichelsen at users.sourceforge.net
Fri Jul 15 16:27:30 CEST 2011


Revision: 393
          http://opencsw.svn.sourceforge.net/opencsw/?rev=393&view=rev
Author:   dmichelsen
Date:     2011-07-15 14:27:30 +0000 (Fri, 15 Jul 2011)

Log Message:
-----------
dublin: No longer syncing from current

Added Paths:
-----------
    buildfarm/bin/sync-current-in-opencsw-future

Removed Paths:
-------------
    buildfarm/bin/sync-opencsw-future

Copied: buildfarm/bin/sync-current-in-opencsw-future (from rev 358, buildfarm/bin/sync-opencsw-future)
===================================================================
--- buildfarm/bin/sync-current-in-opencsw-future	                        (rev 0)
+++ buildfarm/bin/sync-current-in-opencsw-future	2011-07-15 14:27:30 UTC (rev 393)
@@ -0,0 +1,62 @@
+#!/opt/csw/bin/perl
+
+print "current is no longer synced from the official mirror to opencsw-future."
+exit 1;
+
+our $BASE = "/export/mirror/opencsw-future";
+
+
+system( "/opt/csw/bin/rsync", "-Hrav", "--delete",
+	"/export/mirror/opencsw/official/current/",
+	"/export/mirror/opencsw-future/current" );
+
+# Make sure all packages are properly archived to allpkgs
+foreach my $T (qw(current)) {
+  foreach my $A (qw(sparc i386)) {
+    foreach my $V (qw(5.8 5.9 5.10)) {
+      opendir D, "$BASE/$T/$A/$V" or die "Cannot open $BASE/$T/$A/$V";
+      my @pkgs = grep { /\.pkg(\.gz)*$/ } readdir D;
+      closedir D;
+
+      foreach my $p (@pkgs) {
+        if( ! -e "$BASE/allpkgs/$p" ) {
+          print "Linking $p\n";
+          link( "$BASE/$T/$A/$V/$p", "$BASE/allpkgs/$p" );
+        }
+      }
+    }
+  }
+}
+
+exit 0;
+
+
+# Analyze all packages in the catalogs
+
+# This bit needs a rewrite, because checkpkg works now differently.
+
+my @snapshots = map { s,^$BASE/,, } glob("$BASE/snapshots/*");
+foreach my $T (qw(experimental unstable), @snapshots) {
+  foreach my $A (qw(sparc i386)) {
+    foreach my $V (qw(5.8 5.9 5.10)) {
+      my $catalogfile = "$BASE/$T/$A/$V/catalog";
+      my $errortagsfile = "$BASE/$T/$A/$V/checkpkg-error-tags.txt";
+
+      # my ($dev,$ino,$mode,$nlink,$uid,$gid,$rdev,$size,$atime,$mtime,$ctime,$blksize,$blocks) = stat( "$DIR/$project" );
+      my $mtime_catalog = (stat( $catalogfile ))[ 9 ];
+      my $mtime_errortags = (-f $errortagsfile ? (stat( $errortagsfile ))[ 9 ] : 0);
+      if( $mtime_catalog > $mtime_errortags ) {
+        print "Running checkpkg over $catalogfile\n";
+	$ENV{'PATH'} = "/usr/bin:/opt/csw/bin";
+        system( "/home/web/bin/gar/bin/checkpkg",
+  	"-s",
+  	"-M", $catalogfile,
+  	"-o", $errottagsfile,
+  	glob( "$BASE/$T/$A/$V/*\.pkg*" )
+        );
+      } else {
+        print "Checkpkg over $catalogfile is current\n";
+      }
+    }
+  }
+}

Deleted: buildfarm/bin/sync-opencsw-future
===================================================================
--- buildfarm/bin/sync-opencsw-future	2011-07-15 14:26:49 UTC (rev 392)
+++ buildfarm/bin/sync-opencsw-future	2011-07-15 14:27:30 UTC (rev 393)
@@ -1,60 +0,0 @@
-#!/opt/csw/bin/perl
-
-
-our $BASE = "/export/mirror/opencsw-future";
-
-
-system( "/opt/csw/bin/rsync", "-Hrav", "--delete",
-	"/export/mirror/opencsw/official/current/",
-	"/export/mirror/opencsw-future/current" );
-
-# Make sure all packages are properly archived to allpkgs
-foreach my $T (qw(current)) {
-  foreach my $A (qw(sparc i386)) {
-    foreach my $V (qw(5.8 5.9 5.10)) {
-      opendir D, "$BASE/$T/$A/$V" or die "Cannot open $BASE/$T/$A/$V";
-      my @pkgs = grep { /\.pkg(\.gz)*$/ } readdir D;
-      closedir D;
-
-      foreach my $p (@pkgs) {
-        if( ! -e "$BASE/allpkgs/$p" ) {
-          print "Linking $p\n";
-          link( "$BASE/$T/$A/$V/$p", "$BASE/allpkgs/$p" );
-        }
-      }
-    }
-  }
-}
-
-exit 0;
-
-
-# Analyze all packages in the catalogs
-
-# This bit needs a rewrite, because checkpkg works now differently.
-
-my @snapshots = map { s,^$BASE/,, } glob("$BASE/snapshots/*");
-foreach my $T (qw(experimental unstable), @snapshots) {
-  foreach my $A (qw(sparc i386)) {
-    foreach my $V (qw(5.8 5.9 5.10)) {
-      my $catalogfile = "$BASE/$T/$A/$V/catalog";
-      my $errortagsfile = "$BASE/$T/$A/$V/checkpkg-error-tags.txt";
-
-      # my ($dev,$ino,$mode,$nlink,$uid,$gid,$rdev,$size,$atime,$mtime,$ctime,$blksize,$blocks) = stat( "$DIR/$project" );
-      my $mtime_catalog = (stat( $catalogfile ))[ 9 ];
-      my $mtime_errortags = (-f $errortagsfile ? (stat( $errortagsfile ))[ 9 ] : 0);
-      if( $mtime_catalog > $mtime_errortags ) {
-        print "Running checkpkg over $catalogfile\n";
-	$ENV{'PATH'} = "/usr/bin:/opt/csw/bin";
-        system( "/home/web/bin/gar/bin/checkpkg",
-  	"-s",
-  	"-M", $catalogfile,
-  	"-o", $errottagsfile,
-  	glob( "$BASE/$T/$A/$V/*\.pkg*" )
-        );
-      } else {
-        print "Checkpkg over $catalogfile is current\n";
-      }
-    }
-  }
-}


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.


More information about the devel mailing list